org.eclipse.gef.dot.internal.ui.language

## Class DotUiModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.ui.DefaultUiModule
    - - org.eclipse.gef.dot.internal.ui.language.AbstractDotUiModule
      - - org.eclipse.gef.dot.internal.ui.language.DotUiModule

All Implemented Interfaces:
  com.google.inject.Module

    public class DotUiModule
    extends AbstractDotUiModule

Use this class to register components to be used within the IDE.

### Constructor Summary

Constructors
Constructor and Description
`DotUiModule(AbstractUIPlugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.AbstractAntlrTokenToAttributeIdMapper>` `bindAbstractAntlrTokenToAttributeIdMapper()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider>` `bindAbstractEditStrategyProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.doubleClicking.DoubleClickStrategyProvider>` `bindDoubleClickStrategyProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.hover.IEObjectHover>` `bindIEObjectHover()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.hover.IEObjectHoverProvider>` `bindIEObjectHoverProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.folding.IFoldingRegionProvider>` `bindIFoldingRegionProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfiguration>` `bindIHighlightingConfiguration()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.hyperlinking.IHyperlinkHelper>` `bindIHyperlinkHelper()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.occurrences.IOccurrenceComputer>` `bindIOccurrenceComputer()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.findrefs.IReferenceFinder>` `bindIReferenceFinder()`
`java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IRenameStrategy>` `bindIRenameStrategy()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator>` `bindISemanticHighlightingCalculator()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ITemplateProposalProvider>` `bindITemplateProposalProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.model.ITokenTypeToPartitionTypeMapper>` `bindITokenTypeToPartitionTypeMapper()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.findrefs.ReferenceQueryExecutor>` `bindReferenceQueryExecutor()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.XtextEditor>` `bindXtextEditor()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.XtextSourceViewerConfiguration>` `bindXtextSourceViewerConfiguration()`

### Methods inherited from class org.eclipse.gef.dot.internal.ui.language.AbstractDotUiModule

`bindContentAssistContext$Factory, bindIContentAssistParser, bindIContentProposalProvider, bindILabelProvider, bindIOutlineTreeProvider, bindIOutlineTreeStructureProvider, bindIProposalConflictHelper, bindIReferenceUpdater, bindIRenameRefactoringProvider, bindIRenameSupport$Factory, bindIssueResolutionProvider, configureContentAssistLexer, configureContentAssistLexerProvider, configureHighlightingLexer, configureHighlightingTokenDefProvider, configureIPreferenceStoreInitializer, configureResourceUIServiceLabelProvider, provideIAllContainersState`

### Methods inherited from class org.eclipse.xtext.ui.DefaultUiModule

`bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindCopyQualifiedNameService, bindIAllContainersState$Provider, bindIAnnotationHover, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentAssistProcessor, bindIContentFormatterFactory, bindIContentOutlinePage, bindIDocumentPartitioner, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageDescriptorHelper, bindIImageHelper, bindIIndentationInformation, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPreferenceValuesProvider, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindISingleLineCommentHelper, bindITextHover, bindITokenScanner, bindITraceURIConverter, bindIWhitespaceInformationProvider, bindMarkerContributor, bindMarkerTypeProvider, bindOutlineFilterAndSorter$IComparator, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureIQuickOutlineContribution$Composite, configureIResourceDescriptionsLiveScope, configureLanguageSpecificURIEditorOpener, configureMarkOccurrencesAction, configureSmartCaretPreferenceInitializer, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater`

### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

`bindProperties, getBindings, tryBindProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotUiModule

    public DotUiModule(AbstractUIPlugin plugin)

### Method Detail

#### bindISemanticHighlightingCalculator

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator> bindISemanticHighlightingCalculator()

#### bindIHighlightingConfiguration

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfiguration> bindIHighlightingConfiguration()

#### bindAbstractAntlrTokenToAttributeIdMapper

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.AbstractAntlrTokenToAttributeIdMapper> bindAbstractAntlrTokenToAttributeIdMapper()

#### bindITemplateProposalProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ITemplateProposalProvider> bindITemplateProposalProvider()

Overrides:
  `bindITemplateProposalProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

#### bindIFoldingRegionProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.folding.IFoldingRegionProvider> bindIFoldingRegionProvider()

#### bindIEObjectHover

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.hover.IEObjectHover> bindIEObjectHover()

Overrides:
  `bindIEObjectHover` in class `org.eclipse.xtext.ui.DefaultUiModule`

#### bindIEObjectHoverProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.hover.IEObjectHoverProvider> bindIEObjectHoverProvider()

#### bindIHyperlinkHelper

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.hyperlinking.IHyperlinkHelper> bindIHyperlinkHelper()

#### bindIRenameStrategy

    public java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IRenameStrategy> bindIRenameStrategy()

Overrides:
  `bindIRenameStrategy` in class `AbstractDotUiModule`

#### bindIOccurrenceComputer

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.occurrences.IOccurrenceComputer> bindIOccurrenceComputer()

#### bindIReferenceFinder

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.findrefs.IReferenceFinder> bindIReferenceFinder()

#### bindReferenceQueryExecutor

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.findrefs.ReferenceQueryExecutor> bindReferenceQueryExecutor()

#### bindXtextEditor

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.XtextEditor> bindXtextEditor()

#### bindITokenTypeToPartitionTypeMapper

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.model.ITokenTypeToPartitionTypeMapper> bindITokenTypeToPartitionTypeMapper()

#### bindDoubleClickStrategyProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.doubleClicking.DoubleClickStrategyProvider> bindDoubleClickStrategyProvider()

#### bindAbstractEditStrategyProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider> bindAbstractEditStrategyProvider()

Overrides:
  `bindAbstractEditStrategyProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

#### bindXtextSourceViewerConfiguration

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.XtextSourceViewerConfiguration> bindXtextSourceViewerConfiguration()